
%define 	module	jupyter_cache
Summary:	A defined interface for working with a cache of jupyter notebooks
Name:		python3-%{module}
Version:	1.0.1
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/jupyter_cache/
Source0:	https://files.pythonhosted.org/packages/source/j/jupyter_cache/%{module}-%{version}.tar.gz
# Source0-md5:	bab5a2086a85ea3a386115eab5ad6f3a
URL:		https://github.com/executablebooks/jupyter-cache
BuildRequires:	python3-build
BuildRequires:	python3-flit_core >= 3.4
BuildRequires:	python3-flit_core < 4
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.9
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A defined interface for working with a cache of jupyter notebooks.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build_pyproject

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%attr(755,root,root) %{_bindir}/jcache
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}.dist-info
%changelog
* Wed Mar 26 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-jupyter_cache.git;a=log;h=master

* Tue Mar 25 2025 Jan Palus <atler@pld-linux.org> 9ff7c25
- new

